PRO GET_LINEAR_ENCH_FROMF, file_str, enhc_x, enhc_y
    ; ============================================================================
    ; Purpose: This script reads the linear enhancement coefficients from a given 
    ;     file. The file has to have two rows. The first row is the input bright-
    ;     ness values and the second row is the output brightness values. The 
    ;     brightness values must be between 0 and 255 (0 <= x <= 255). The 
    ;     two rows must both have the same number of elements.
    ; 
    ; Input parameters: 
    ;    file_str - The input file with the linear enhancement coefficients.
    ; 
    ; Output:
    ;    ench_x   - The input brightess values will be copied in this array.
    ;    ench_y   - The output brightness values will be copied in this array.
    ; 
    ; Author: Liam.Gumley@ssec.wisc.edu, Willem.Marais@ssec.wisc.edu
    ; ============================================================================ 
    x_line_str = ''
    y_line_str = ''
    
    openr, lun, file_str, /GET_LUN
    readf, lun, x_line_str
    readf, lun, y_line_str
    free_lun, lun
    
    x_line_str_arr = STRSPLIT (x_line_str, /EXTRACT)
    y_line_str_arr = STRSPLIT (y_line_str, /EXTRACT)
    
    enhc_x = FIX (x_line_str_arr)
    enhc_y = FIX (y_line_str_arr)
END
