PRO GET_TILEID_RANGE, RES, PROJ_NAME, UL_LON, UL_LAT, LR_LON, LR_LAT, NR_ROWS, NR_COLS, TILE_ID_ARR, $
    PRINT_TBL = print_tbl, PRINT_LST = print_lst

; TODO: Rewrite description
; Given the UL and LR latitude and longitude values of a bounding box, the tiles which 
; covert the bounding box are calculated. Two arrays are use as outputs. The first array 
; has the raw tile ID values. The second array has string values of the tile IDs.

res = float (res)

case proj_name of
    'Normal': $
    BEGIN
        latlon_to_gridindex, ul_lat, ul_lon, res, ul_index
        latlon_to_gridindex, lr_lat, lr_lon, res, lr_index
        
        tile_str='tile'
    END
    
    'Polar-North': $
    BEGIN
        latlon_to_polar_tiles, ul_lon, ul_lat, res * 1000.0, nr_rows, nr_cols, 1, ul_index
        ul_index = ul_index [0]
        latlon_to_polar_tiles, lr_lon, lr_lat, res * 1000.0, nr_rows, nr_cols, 1, lr_index
        lr_index = lr_index [0]
        tile_str='ptile'
    END
    
    'Polar-South': $
    BEGIN
        latlon_to_polar_tiles, ul_lon, ul_lat, res * 1000.0, nr_rows, nr_cols, 0, ul_index
        ul_index = ul_index [0]
        latlon_to_polar_tiles, lr_lon, lr_lat, res * 1000.0, nr_rows, nr_cols, 0, lr_index
        lr_index = lr_index [0]
        tile_str='ptile'
    END
endcase


ul_row_nr = floor (ul_index / nr_cols) * nr_cols
lr_row_nr = floor (lr_index / nr_cols) * nr_cols
ss_nr_rows = ceil ((ul_row_nr - lr_row_nr) / nr_cols) + 1
ll_index = ul_index - nr_cols * (ss_nr_rows - 1)
ss_nr_cols = long (lr_index - ll_index + 1)
ur_index = ul_index + (ss_nr_cols - 1)
tile_id_arr = intarr (ss_nr_cols, ss_nr_rows)
for idx = 1, ss_nr_rows do begin
    tile_id_arr [*, ss_nr_rows - idx] = indgen (ss_nr_cols) + ll_index + nr_cols * (idx - 1)
endfor

if KEYWORD_SET (print_tbl) then begin
    for idx_row = 0, ss_nr_rows - 1 do begin
        print_str = ''
        for idx_col = 0, ss_nr_cols - 1 do begin
            tile_nr_val = tile_id_arr [idx_col, idx_row]
            tile_nr_str = STRTRIM (STRING (tile_nr_val), 1)
            if tile_nr_val LT 10 then tile_nr_str = '00' + tile_nr_str 
            if (tile_nr_val GE 10) AND (tile_nr_val LT 100) then tile_nr_str = '0' + tile_nr_str
            
            print_str = print_str + tile_str + tile_nr_str + ' '
        endfor

        print, print_str
    endfor
endif

if KEYWORD_SET (print_lst) then begin
    for idx = 0, N_ELEMENTS (tile_id_arr) - 1 do begin
        tile_nr_val = tile_id_arr [idx]
        tile_nr_str = STRTRIM (STRING (tile_nr_val), 1)
        if tile_nr_val LT 10 then tile_nr_str = '00' + tile_nr_str 
        if (tile_nr_val GE 10) AND (tile_nr_val LT 100) then tile_nr_str = '0' + tile_nr_str
    
        print, tile_str + tile_nr_str
    endfor
endif

END

