; Print the upper left and lower right coordinates of a given L1B geolocation file.
; The output will be printed to the standard output. It will be in the following format:
;   <UL lon>,<UL lat> <LR lon>,<LR lat>
; 
; Willem.Marais@ssec.wisc.edu

PRO L1B_GEO_UL_LR, L1B_GEO_FILE, OUTPUT_TEXT_FILE

hdfid = hdf_sd_start (l1b_geo_file)
hdf_sd_varread, hdfid, "Longitude", arr_lon
hdf_sd_varread, hdfid, "Latitude", arr_lat
hdf_sd_end, hdfid

lon_valid_index = where ((arr_lon LE 180.0) AND (arr_lon GE -180.0))
lat_valid_index = where ((arr_lat LE  90.0) AND (arr_lat GE  -90.0))

ul_lon = min (arr_lon [lon_valid_index])
lr_lon = max (arr_lon [lon_valid_index])

ul_lat = max (arr_lat [lat_valid_index])
lr_lat = min (arr_lat [lat_valid_index])

ul_str = strcompress (string (ul_lon) + "," + string (ul_lat), /remove_all)
lr_str = strcompress (string (lr_lon) + "," + string (lr_lat), /remove_all)

openw, lun, output_text_file, /get_lun
printf, lun, ul_str + " " + lr_str
free_lun, lun

END

