PRO L1B_TEST_POLAR, GEO_FILE, NR_ROWS, NR_COLS, NORTH_BL, SOUTH_BL, PRINT_REG = print_reg

;- Get lat/lon data from geo file and also get fill value
hdfid = hdf_sd_start(geo_file)
hdf_sd_varread, hdfid, 'Latitude', lat_arr
hdf_sd_varread, hdfid, 'Longitude', lon_arr

index_lat = hdf_sd_nametoindex (hdfid, 'Latitude')
lat_varid = hdf_sd_select (hdfid, index_lat)
; Get the fill value
attindex = hdf_sd_attrfind (lat_varid, '_FillValue')
hdf_sd_attrinfo, lat_varid, attindex, data = lat_fillvalue
hdf_sd_endaccess, lat_varid

index_lon = hdf_sd_nametoindex (hdfid, 'Longitude')
lon_varid = hdf_sd_select (hdfid, index_lon)
; Get the fill value
attindex = hdf_sd_attrfind (lon_varid, '_FillValue')
hdf_sd_attrinfo, lon_varid, attindex, data = lon_fillvalue
hdf_sd_endaccess, lon_varid

hdf_sd_end, hdfid

dim_arr = size (lat_arr, /DIM)
row_size = dim_arr [1]
col_size = dim_arr [0]
lat_arr = regrid (temporary (lat_arr), col_size / 4, row_size / 4)
lon_arr = regrid (temporary (lon_arr), col_size / 4, row_size / 4)

loc = where (((lat_arr ge -90.0)  and (lat_arr ne FLOAT (lat_fillvalue [0]))) and $
             ((lon_arr ge -180.0) and (lon_arr ne FLOAT (lon_fillvalue [0]))))

tile_width = 1024.0 * 1000.0

; Generate the tileIDs for the North Pole
latlon_to_polar_tiles, lon_arr [loc], lat_arr [loc], tile_width, nr_rows, nr_cols, 1, tilenr_arr
north_bl = 0
if tilenr_arr [0] NE -1 then begin
    north_bl = 1
endif

; Generate the tileIDs for the South Pole
latlon_to_polar_tiles, lon_arr [loc], lat_arr [loc], tile_width, nr_rows, nr_cols, 0, tilenr_arr
south_bl = 0
if tilenr_arr [0] NE -1 then begin
    south_bl = 1
endif

if KEYWORD_SET (print_reg) then begin
    if north_bl EQ 1 then print, 'region:north'
    if south_bl EQ 1 then print, 'region:south'

    if (north_bl + south_bl) EQ 0 then print, 'region:none'
endif

END
