; Print the upper left and lower right coordinates of a given L1B geolocation file.
; The output will be printed to the standard output. It will be in the following format:
;   <UL lon>,<UL lat> <LR lon>,<LR lat>
; 
; Willem.Marais@ssec.wisc.edu

PRO LATLON_BIN_GEO_UL_LR, LAT_BIN, LON_BIN, WIDTH, LENGTH, TYPE, OUTPUT_TEXT_FILE

openr, lun, lat_bin, /GET_LUN
arr_lat = make_array (width, length, TYPE=type)
readu, lun, arr_lat
close, lun

openr, lun, lon_bin, /GET_LUN
arr_lon = make_array (width, length, TYPE=type)
readu, lun, arr_lon
close, lun

lon_valid_index = where ((arr_lon LE 180.0) AND (arr_lon GE -180.0))
lat_valid_index = where ((arr_lat LE  90.0) AND (arr_lat GE  -90.0))

ul_lon = min (arr_lon [lon_valid_index])
lr_lon = max (arr_lon [lon_valid_index])

ul_lat = max (arr_lat [lat_valid_index])
lr_lat = min (arr_lat [lat_valid_index])

ul_str = strcompress (string (ul_lon) + "," + string (ul_lat), /remove_all)
lr_str = strcompress (string (lr_lon) + "," + string (lr_lat), /remove_all)

openw, lun, output_text_file, /get_lun
printf, lun, ul_str + " " + lr_str
free_lun, lun

END

