PRO OVERLAY_SUBSET_IMAGE, INPUT_IMG, OUTPUT_IMG, FILE_EXT_STR
    if file_ext_str EQ "tif" then begin
        in_img_arr = read_tiff (input_img)
        out_img_arr = read_tiff (output_img)
    endif else begin
        in_img_arr = read_png (input_img)
        out_img_arr = read_png (output_img)
    endelse
    
    in_img_ttl_arr = TOTAL (in_img_arr, 1)
    idx_not_zero = where (in_img_ttl_arr NE 0)
    
	; Check to see if the input image have only black pixels. If it only has black 
	; pixels, then there is no need update the output image.
    in_img_all_black_bl = 0
    if N_ELEMENTS (idx_not_zero) EQ 1 then begin
        if idx_not_zero EQ -1 then $
            in_img_all_black_bl = 1
    endif
    
    if in_img_all_black_bl EQ 0 then begin
        in_tmp_arr = reform (in_img_arr [0, *, *])
        out_tmp_arr = reform (out_img_arr [0, *, *])
        out_tmp_arr [idx_not_zero] = in_tmp_arr [idx_not_zero]
        out_img_arr [0, *, *] = out_tmp_arr [*, *]
        
        in_tmp_arr = reform (in_img_arr [1, *, *])
        out_tmp_arr = reform (out_img_arr [1, *, *])
        out_tmp_arr [idx_not_zero] = in_tmp_arr [idx_not_zero]
        out_img_arr [1, *, *] = out_tmp_arr [*, *]
        
        in_tmp_arr = reform (in_img_arr [2, *, *])
        out_tmp_arr = reform (out_img_arr [2, *, *])
        out_tmp_arr [idx_not_zero] = in_tmp_arr [idx_not_zero]
        out_img_arr [2, *, *] = out_tmp_arr [*, *]
    endif
    
    total_black_pix = float (TOTAL (out_img_arr EQ 0))
    total_pixels = float (N_ELEMENTS (out_img_arr))
    per_total_black_pix = LONG ((total_black_pix / total_pixels) * 100.0)
    
    print, "Percentage black pixels:", per_total_black_pix
    
    if file_ext_str EQ "tif" then begin
        write_tiff, output_img, out_img_arr
    endif else begin
        write_png, output_img, out_img_arr
    endelse
END
