PRO POLAR_TILES_TO_MAPXY, TILENR_ARR, NR_ROWS, NR_COLS, TILE_LW, X_ARR, Y_ARR

tilenr_arr_len = N_ELEMENTS (tilenr_arr)

ll_x_arr = dblarr (4, tilenr_arr_len) ; Lower left coordinates
ll_y_arr = dblarr (4, tilenr_arr_len)

ul_x_arr = dblarr (4, tilenr_arr_len) ; Upper left coordinates
ul_y_arr = dblarr (4, tilenr_arr_len)

ur_x_arr = dblarr (4, tilenr_arr_len) ; Upper right coordinates
ur_y_arr = dblarr (4, tilenr_arr_len)

lr_x_arr = dblarr (4, tilenr_arr_len) ; Lower right coordinates
lr_y_arr = dblarr (4, tilenr_arr_len)

; Calculate the corner map coordinates of each tile
tile_grid_ll_x = tile_lw * (nr_cols / 2.0)
tile_grid_ll_y = tile_lw * (nr_rows / 2.0)

row_nr_arr = float (floor (tilenr_arr / nr_cols))
col_nr_arr = tilenr_arr - (row_nr_arr * nr_cols)

ll_x_arr = (col_nr_arr * tile_lw) - tile_grid_ll_x ; Lower left
ll_y_arr = (row_nr_arr * tile_lw) - tile_grid_ll_y

ul_x_arr = ll_x_arr ; Upper left
ul_y_arr = ll_y_arr + tile_lw

ur_x_arr = ll_x_arr + tile_lw ; Upper right
ur_y_arr = ul_y_arr

lr_x_arr = ur_x_arr ; Lower right
lr_y_arr = ll_y_arr

; Write data to the output array
y_arr = dblarr (4, tilenr_arr_len)
x_arr = dblarr (4, tilenr_arr_len)

y_arr [0, *] = ul_y_arr ; UL y array
y_arr [1, *] = ur_y_arr ; UR y array
y_arr [2, *] = lr_y_arr ; LR y array
y_arr [3, *] = ll_y_arr ; LL y array

x_arr [0, *] = ul_x_arr ; UL x array
x_arr [1, *] = ur_x_arr ; UR x array
x_arr [2, *] = lr_x_arr ; LR x array
x_arr [3, *] = ll_x_arr ; LL x array

END
