PRO STEREO_GRAPHIC_PROJ, long_deg_arr, lat_deg_arr, ctr_deg_lat, ctr_deg_lon, radius, x_arr, y_arr

; Stereo Graphic Projection. Forumulation take from the following source:
;     Map Projections - A Working Manual, John P Snyder 
;
; Arguments:
; 
; [input]
; long_deg_arr - The longitude (degree) array values to be projected
; lat_deg_arr  - The latitude (degree) array values to be projected
; ctr_deg_lat  - The center latitude (degree) value which is a parameter for the projection
; ctr_deg_lon  - The center longitude (degree) value which is a parameter for the projection
; radius       - The radius (meters) of the earth, which is preceived to be a sphere in the projection
; 
; [output]
; x_arr        - The projected x coordinate value (meters)
; y_arr        - The projected y coordinate value (meters)

lat_arr = lat_deg_arr * (!PI / 180.0)
long_arr = long_deg_arr * (!PI / 180.0)

ctr_lat = ctr_deg_lat * (!PI / 180.0)
ctr_lon = ctr_deg_lon * (!PI / 180.0)

k_0 = 1
k = (2 * k_0) / (1 + (sin (ctr_lat) * sin (lat_arr)) + (cos (ctr_lat) * cos (lat_arr) * cos (long_arr - ctr_lon)))

x_arr = radius * k * cos (lat_arr) * sin (long_arr - ctr_lon)
y_arr = radius * k * (cos (ctr_lat) * sin (lat_arr) - sin (ctr_lat) * cos (lat_arr) * cos (long_arr - ctr_lon))

END
