PRO WRITE_POLAR_METADATA_FILE, sensor, sat, date, time, res, band_comb_arr, dir, tile_width, $
    polar_region_str, tilenr_arr, tile_long_arr, tile_lat_arr
; Switch to the output directory

cd, dir

for tile_nr = 0, N_ELEMENTS (tilenr_arr) - 1 do begin
    ;- Set metadata directory name for this polar tile (e.g., ptile412)
    meta_dir = string (tilenr_arr [tile_nr], format = '("ptile", i3.3)')
    
    if (file_test (meta_dir, /directory) EQ 0) then spawn, 'mkdir -p ' + meta_dir

    for idx = 0, (size (band_comb_arr, /dim))[1] - 2 do begin
        comb_arr = band_comb_arr [*, idx]

        if N_ELEMENTS (comb_arr) EQ 3 then begin
            meta_file = meta_dir + '/' + string(tilenr_arr[tile_nr], sat, date, time, $
                    comb_arr [0], comb_arr [1], comb_arr [2], $
                    format='("ptile", i3.3, ".", a, ".", i8.8, ".", i4.4, ".", i2.2, "_", i2.2, "_", i2.2, ".dat")')
        endif else begin
            meta_file = meta_dir + '/' + string(tilenr_arr[tile_nr], sat, date, time, $
                    comb_arr [0], comb_arr [1], comb_arr [2], comb_arr [3], comb_arr [4], $
                    format='("ptile", i3.3, ".", a, ".", i8.8, ".", i4.4, ".", i2.2, "_", i2.2, "_", i2.2, "_", i2.2, "_", i2.2, ".dat")')
        endelse

        ; Create metadata file
        openw, lun, meta_file, /get_lun

        printf, lun, sat, format = '("SAT = ", a)'
        printf, lun, sensor, format = '("SENSOR = ", a)'
        printf, lun, date, format = '("DATE = ", i8)'
        printf, lun, tilenr_arr [tile_nr], format = '("TILE = p", i3.3)'
        printf, lun, tile_long_arr [0, tile_nr], tile_lat_arr [0, tile_nr], $
            format = '("OUL = ", f9.3, ",", f9.3)'
        printf, lun, tile_long_arr [1, tile_nr], tile_lat_arr [1, tile_nr], $
            format = '("OUR = ", f9.3, ",", f9.3)'
        printf, lun, tile_long_arr [2, tile_nr], tile_lat_arr [2, tile_nr], $
            format = '("OLR = ", f9.3, ",", f9.3)'
        printf, lun, tile_long_arr [3, tile_nr], tile_lat_arr [3, tile_nr], $
            format = '("OLL = ", f9.3, ",", f9.3)'
        
        printf, lun, tile_width, format = '("TILE_WIDTH = ", i)'

        if N_ELEMENTS (comb_arr) EQ 3 then begin
            band_comb_str = string (comb_arr [0], comb_arr [1], comb_arr [2], $
            format = '(i2.2, "_", i2.2, "_", i2.2)')
        endif else begin
            band_comb_str = string (comb_arr [0], comb_arr [1], comb_arr [2], comb_arr [3], comb_arr[4], $
            format = '(i2.2, "_", i2.2, "_", i2.2, "_", i2.2, "_", i2.2)')
        endelse
        printf, lun, band_comb_str, format = '("BAND_COMB = ", a)'

        ;- Write granule file name
        printf, lun, "@GRAN_NAME@", format='("GRAN_NAME = ", a)'
        ; - Write the polar region: North, or South
        printf, lun, polar_region_str, format='("POLAR_REGION = ", a)'
        
        free_lun, lun
        
        ;- Create event file name for this tile (e.g., ptile412/ptile412.terra.20080607.1415.4_3_1.event)
        if N_ELEMENTS (comb_arr) EQ 3 then begin
            event_file = meta_dir + '/' + string (tilenr_arr [tile_nr], sat, date, time, comb_arr [0], comb_arr [1], comb_arr [2], $
                format='("ptile", i3.3, ".", a, ".", i8.8, ".", i4.4, ".", i2.2, "_", i2.2, "_", i2.2, ".event")')
        endif else begin
            event_file = meta_dir + '/' + string (tilenr_arr [tile_nr], sat, date, time, comb_arr [0], comb_arr [1], comb_arr [2], $
                comb_arr [3], comb_arr [4], format='("ptile", i3.3, ".", a, ".", i8.8, ".", i4.4, ".", i2.2, "_", i2.2, "_", i2.2, "_", i2.2, "_", i2.2, ".event")')
        endelse
        
        ;- Create event file
        openw, lun, event_file, /get_lun
        printf, lun, ""
        free_lun, lun
        end
end

END

