#!/bin/bash

# Load the sensor processing constants
if [ -z $MIPS_SENSOR_CONF ]; then
    echo "(ERROR)[Exx] The processing constants configuration file "$MIPS_SENSOR_CONF" does not exist"
    exit 1
fi
source $MIPS_SENSOR_CONF

if [ $# -ne 2 ]; then
    echo "Usage: "
    echo "  "$(basename $0)" <tilenr> <out file path>"
    exit 1
fi

tilenr=$1
#polar_region=$2
out_file=$2

cat > runidl << EOF
create_polartile_tiff, '$out_file', float ($tilenr), 8, 8, $MIPS_PC_PIXEL_RESOL, $MIPS_PC_PIXEL_RESOL
exit
EOF

if [ "$MIPS_DEBUG" == "YES" ]; then
    cat runidl
    $IDL_CMD runidl &> idl_output.txt
    idl_rtn=$?
    cat idl_output.txt
else
    $IDL_CMD runidl &> idl_output.txt
    idl_rtn=$?
fi

grep -i "Error" idl_output.txt &> /dev/null
if [ $? -eq 0 ] || [ $idl_rtn -ne 0 ]; then
    echo "(ERROR)[E22] The IDL script 'create_polartile_tiff.pro' failed."
    cat idl_output.txt
    exit 1
fi

