#!/bin/bash

usage_str=$(basename $0)" <HDF4 Geolocation L1B> <latitude prefix> <longitude prefix> <sensor zenith angle prefix>"
if [ $# -ne 4 ]; then
    echo "(ERROR) Usage: "
    echo "    "$usage_str
    
    exit 1
fi
MIPS_AUX=$MIPS_HOME/scripts/auxiliary

hdf4_file=$1
lat_prefix_str=$2
lon_prefix_str=$3
senz_prefix_str=$4

hdf4_basename_str=$(basename $hdf4_file)
hdf4_geo_prefix_str=$(echo $hdf4_basename_str | cut -d"_" -f 1)

/bin/bash $MIPS_AUX/hdf_to_binary.bash $hdf4_file "Latitude" 1 $lat_prefix_str
if [ $? -ne 0 ]; then
    exit 1
fi

/bin/bash $MIPS_AUX/hdf_to_binary.bash $hdf4_file "Longitude" 1 $lon_prefix_str
if [ $? -ne 0 ]; then
    exit 1
fi

/bin/bash $MIPS_AUX/hdf_to_binary.bash $hdf4_file "SensorZenith" 1 $senz_prefix_str
if [ $? -ne 0 ]; then
    exit 1
fi

