#!/bin/bash

if [ $# -ne 4 ]; then
    echo "Usage:"
    echo "    "$(basename $0)" <center latitude> <UL latitude> <UL longitude> <output file path>"
    
    exit 1
fi

ctr_lat_str=$1
ul_lat_str=$2
ul_lon_str=$3
file_out_str=$4

cat > runidl << EOF
stereo_graphic_proj, double ($ul_lon_str), double ($ul_lat_str), double ($ctr_lat_str), 0.0, 6371007.181, x_arr, y_arr
print, 'MAP_X=', long (x_arr)
print, 'MAP_Y=', long (y_arr)
exit
EOF

if [ "$MIPS_DEBUG" == "YES" ]; then
    cat runidl
    $IDL_CMD runidl &> idl_output.txt
    idl_rtn=$?
    cat idl_output.txt
else
    $IDL_CMD runidl &> idl_output.txt
    idl_rtn=$?
fi

grep -i "Error" idl_output.txt &> /dev/null
if [ $? -eq 0 ] || [ $idl_rtn -ne 0 ]; then
    echo "(ERROR)[Exx] The IDL script 'stereo_graphic_proj.pro' failed."
    cat idl_output.txt
    exit 1
fi

echo "MAP_X="$(grep "MAP_X" idl_output.txt | cut -d"=" -f 2 | awk '{print $1}') >  $file_out_str
echo "MAP_Y="$(grep "MAP_Y" idl_output.txt | cut -d"=" -f 2 | awk '{print $1}') >> $file_out_str

