#!/bin/bash

# ============================================================================
# MIPS VIIRS granule processor wrap BASH script
# 
# TODO: Rewrite!!
# The main script through which VIIRS L1B data are processed, is through
# process_granule_tiles_viirs.bash. The main script depends on several input
# parameters, therefore it is cumbersome to execute the main script. This
# script is wrapper script for the main script. Only the L1B file names have to
# be given to this script, and it does not depend on other input parameters. It
# determines the necessary input parameters which are given to the main script.
# 
# Authors: Liam.Gumley@ssec.wisc.edu, Willem.Marais@ssec.wisc.edu
# Date: 07/22/2011
# ============================================================================

if [ -z "$MIPS_HOME" ]; then
    echo "Environment variable MIPS_HOME is not set"
    exit 1
fi

# Echo command line
echo
echo "(Echoing command line)"
echo $(basename $0) $@

# Check number of arguments
if [ $# -lt 4 ]; then
    echo
    echo "(ERROR) Usage: "
    echo "    "$(basename $0)" <SVM and/or SVI files> <GMTCO or GMODO file>"
    
    exit 1
fi

# Get arguments
first_file=$1

# Get the satellite name, the date and time metadata
h5_satname_str=$(basename $first_file | cut -d"_" -f 2 | tr "[:upper:]" "[:lower:]")
h5_yeardate_str=$(basename $first_file | cut -d "_" -f 3 | cut -c2-)
h5_time_str=$(basename $first_file | cut -d "_" -f 4 | cut -c2-5)

if [ "$MIPS_DEBUG" == "YES" ]; then
    echo "[DEBUG]: "/bin/bash $MIPS_HOME/scripts/process_granule_tiles_viirs.bash $* $h5_satname_str $h5_yeardate_str $h5_time_str
fi
/bin/bash $MIPS_HOME/scripts/process_granule_tiles_viirs.bash $* $h5_satname_str $h5_yeardate_str $h5_time_str

# Exit with the exit return value of the process_granule_tiles_viirs.bash script.
exit $?

