#!/bin/bash

if [ $# -ne 3 ]; then
    echo "Usage:"
    echo "    "$(basename $0)" <package dir> <install dir> <scratch dir>"
    
    exit 1
fi

package_dir=$1
install_dir=$2
scratch_dir=$3

echo "========= HDF LIBARIES ========="
# B: Unpack HDFs
mkdir -p $scratch_dir
cd $scratch_dir
tar xjf $package_dir/hdf5-1.6.10.tar.bz2
tar xjf $package_dir/hdf-4.2.5.tar.bz2
tar xzf $package_dir/szip-2.1.tar.gz
tar xjf $package_dir/zlib-1.2.5.tar.bz2
tar xzf $package_dir/jpegsrc.v6b.tar.gz
tar xzf $package_dir/h4h5tools-2.1.1.tar.gz
# E: Unpack HDFs
# B: Copy patch
cp $package_dir/h4h5tools-2.1.1.patch.static  $scratch_dir
# E: Copy patch
# B: Unpack zlib
mkdir local-install
cd zlib-1.2.5
CFLAGS="-D_GNU_SOURCE" LDFLAGS="-L/lib64 -L/usr/lib64 -L/usr/lib/x86_64-redhat-linux5E/lib64" ./configure --prefix=$install_dir
make -j8
make install
cd ..
# E: Unpack zlib
# B: Unpack szip
cd szip-2.1
./configure --prefix=$install_dir
make -j8
make install
cd ..
# E: Unpack szip
# B: Unpack jpeg
mkdir -p $install_dir/bin $install_dir/man/man1
cd jpeg-6b
CFLAGS="-D_GNU_SOURCE" ./configure --prefix=$install_dir
make -j8
make install
make install-lib
cd ..
# E: Unpack jpeg
# B: Unpack hdf4
cd hdf-4.2.5
CFLAGS="-O0 -D_GNU_SOURCE" LDFLAGS="-L/lib64 -L/usr/lib64 -L$(pwd)/../local-install/lib -L/usr/lib/x86_64-redhat-linux5E/lib64" CPPFLAGS="-I$install_dir/include" ./configure --disable-fortran --with-szlib=no --prefix=$install_dir
make -j8
make install
cd ..
# E: Unpack hdf4
# B: Unpack hdf5
cd hdf5-1.6.10
CFLAGS="-O0 -D_GNU_SOURCE" LDFLAGS="-L/lib64 -L/usr/lib64 -L$(pwd)/../local-install/lib -L/usr/lib/x86_64-redhat-linux5E/lib64" CPPFLAGS="-I$install_dir/include" ./configure --disable-fortran --with-szlib --enable-static-exec --prefix=$install_dir
make -j8
make install
cd ..
# E: Unpack hdf5

