#!/bin/bash

# Purpose:
# This script takes parallel execute all the test cases 
# in a given directory.

if [ -z $MIPS_HOME ]; then
    echo "(ERROR) Environmental variable MIPS_HOME is not defined"
    exit 1
fi

if [ $# -ne 3 ]; then
    echo "Usage: "
    echo "    "$(basename $0)" <test cases directory> <:kml:subsets:polarmosiac:globalmosaic:none:> <nr cpus>"
    
    exit 1
fi

test_cases_dir=$1
process_flags=$2
nr_cpus=$3

find $test_cases_dir -maxdepth 1 -name 'mips-*polar_test_data' -type d -print \
    | xargs -P $nr_cpus -n 1 $MIPS_HOME/scripts/utilities/execute_test_case.bash $process_flags

