#!/bin/bash

if [ $# -ne 1 ]; then
    echo "Usage:"
    echo "    "$(basename $0)" <geo file>"
    
    exit 1
fi

geo_fil=$1

nscans=$($MIPS_HOME/bin/ncdump -h $geo_fil | grep "Number of Day mode scans" | awk '{print $7}')
if [ "$nscans" -lt 5 ]; then
    echo $geo_fil":none"
    exit 0
fi

cat > runidl$$ << EOF
L1B_TEST_POLAR, '$geo_fil', 8, 8, north_bl, south_bl, /PRINT_REG
exit
EOF

$IDL_CMD runidl$$ &> idl_output$$.txt

output_txt=$(grep 'region' idl_output$$.txt | cut -d":" -f 2)

echo $geo_fil":"$output_txt

rm -f runidl$$ idl_output$$.txt flsave.pro
