#!/bin/bash

# WARNING: Only used with MODIS data

if [ -z $MIPS_HOME ]; then
    echo "(ERROR) Environmental variable MIPS_HOME is not defined."
    exit 1
fi

if [ $# -ne 4 ]; then
    echo "Usage:"
    echo "    "$(basename $0)" <L1B directory> <Date: yyyymmdd> <Sat code: MOD | MYD> <Number of CPUs>"
    exit 1
fi

l1b_dir=$1
data_date=$2
jul_date=$(date --date=$data_date +%Y%j)
sat_code=$3
nr_cpus=$4

if [ -z "$IDL_CMD" ]; then
    source $MIPS_HOME/scripts/mips_modis_env.bash
fi

file_lst=$(mktemp)
find $l1b_dir -name $sat_code"021KM.A"$jul_date"."*".hdf" -type f -print > $file_lst

cat $file_lst | xargs -P $nr_cpus -n 1 $MIPS_HOME/scripts/utilities/geofile_test_polar_modis.bash

rm -f $file_lst $labeled_file_lst

