#!/bin/bash

if [ $# -ne 3 ]; then 
    echo "Usage:"
    echo "    "$(basename $0)" <directory> <MOD | MYD> <julian date>"
    
    exit 1
fi

l1b_dir=$1
sat_code=$2
juldate=$3

l1b_file_lst=$(mktemp)
find $l1b_dir -name $sat_code*".A"$juldate*".hdf" -type f -print > $l1b_file_lst

for file_str in $(cat $l1b_file_lst); do
    file_dir=$(dirname $file_str)
    file_name=$(basename $file_str)
    file_part=$(echo $file_name | cut -d"." -f 1-4)
    new_name=$file_part".hdf"
    
    if [ $file_name != $new_name  ]; then 
        mv $file_str $file_dir'/'$new_name
    fi
done

rm -f $l1b_file_lst

