#!/bin/bash

if [ $# -ne 3 ]; then
    echo "Usage:"
    echo "    "$(basename $0)" <julian date> <input directories> <output directories>"
    echo ""
    echo "Note: The directories must be full paths."
    
    exit 1
fi

julian_day=$1
input_dir=$2
output_dir=$3

sat_code_lst="MOD MYD"
for sat_code in $sat_code_lst; do
    MOYD03_CODE=$sat_code"03"
    MOYD021KM_CODE=$sat_code"021KM"
    MOYD02HKM_CODE=$sat_code"02HKM"
    MOYD02QKM_CODE=$sat_code"02QKM"
    
    # Create output directories
    mkdir -p $output_dir/$MOYD03_CODE \
             $output_dir/$MOYD021KM_CODE \
             $output_dir/$MOYD02HKM_CODE \
             $output_dir/$MOYD02QKM_CODE
    
    # Copy the files
    find $input_dir -maxdepth 1 -name $MOYD03_CODE*$julian_day*.hdf -type f -exec cp {} $output_dir/$MOYD03_CODE \;
    find $input_dir -maxdepth 1 -name $MOYD021KM_CODE*$julian_day*.hdf -type f -exec cp {} $output_dir/$MOYD021KM_CODE \;
    find $input_dir -maxdepth 1 -name $MOYD02HKM_CODE*$julian_day*.hdf -type f -exec cp {} $output_dir/$MOYD02HKM_CODE \;
    find $input_dir -maxdepth 1 -name $MOYD02QKM_CODE*$julian_day*.hdf -type f -exec cp {} $output_dir/$MOYD02QKM_CODE \;
done

